pipeline {
    agent any
    environment {
Change dh_cred with you DockerHub credentials id on Jenkins
        DOCKERHUB_CREDENTIALS = credentials('dockerhub')
    }
    stages {
        stage('Init'){
            steps{
                sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
            }
        }
        stage('Test'){
            steps{
                sh 'make test'
            }
        }
        stage('Build'){
            steps {
                
                sh 'docker build -t srranya96/pythonapp:$BUILD_ID -f build/Dockerfile .'
            }
        }
        stage('Deliver'){
            steps {
                
                sh 'docker push srranya96/pythonapp:$BUILD_ID'
            }
        }
        stage('Cleanup'){
            steps {
                
                sh 'docker rmi srranya96/pythonapp:$BUILD_ID'
                sh 'docker logout'
            }
        }
    }
}
